Package org.jbpm.services.task.impl.model.xml

## Class JaxbContent

- java.lang.Object
- - org.jbpm.services.task.impl.model.xml.JaxbContent

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.api.task.model.Content`

      public class JaxbContent
      extends Object
      implements org.kie.api.task.model.Content

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JaxbContent()` |
    `JaxbContent​(org.kie.api.task.model.Content content)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getContent()` |
    `Map<String,​Object>` | `getContentMap()` |
    `Long` | `getId()` |
    `byte[]` | `getSerializedContent()` |
    `void` | `initialize​(org.kie.api.task.model.Content content)` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setContentMap​(Map<String,​Object> map)` |
    `void` | `setId​(Long id)` |
    `void` | `setSerializedContent​(byte[] content)` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxbContent

          public JaxbContent()

    - #### JaxbContent

          public JaxbContent​(org.kie.api.task.model.Content content)

  - ### Method Detail

    - #### initialize

          public void initialize​(org.kie.api.task.model.Content content)

    - #### getContent

          public byte[] getContent()

      Specified by:
        `getContent` in interface `org.kie.api.task.model.Content`

    - #### getSerializedContent

          public byte[] getSerializedContent()

    - #### setSerializedContent

          public void setSerializedContent​(byte[] content)

    - #### getContentMap

          public Map<String,​Object> getContentMap()

    - #### setContentMap

          public void setContentMap​(Map<String,​Object> map)

    - #### getId

          public Long getId()

      Specified by:
        `getId` in interface `org.kie.api.task.model.Content`

    - #### setId

          public void setId​(Long id)

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`